import type { SerializedStyles } from '@emotion/react';
interface ColorStyledProps {
    color: string;
}
export declare const ColorStyled: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & ColorStyledProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const ColorButtonCSS: (isOpen: boolean) => SerializedStyles;
export {};
